set theproc wrht_line

proc init_$theproc {} {
    global accum_type hits_type hist_type
    set accum_type point_plot
    set hits_type plot
    set hist_type plot
    complain "Window Randomized\n Hough Transform (WRHT) for lines.\n\nWARNING: does NOT work if\n current directory is unwritable"
}

proc do_$theproc {w} {
    global theproc edpic tformdir picdir plotparm tmpdir tmp_filesuffix
    global num_max minseglen maxsegwidth maxseggap noise

    catch {exec rm -f hough*.ptcl}
    set blabber [exec "$tformdir/$theproc" \
	-m $num_max -l $minseglen -w $maxsegwidth -g $maxseggap -n $noise \
	-p -P $tmpdir/points$tmp_filesuffix -i < "$picdir/$edpic" ]

    $w config -state normal
    $w delete 1.0 end
    $w insert end "$blabber"
    $w config -state disabled
}

